From eb6f6d066d3fc4e1d37fce84b74955c327557735 Mon Sep 17 00:00:00 2001
From: Didier Raboud <odyx@debian.org>
Date: Sun, 8 Jul 2012 12:18:01 -0600
Subject: [PATCH] Fix the place of the kfreebsd empty line in Grub (Closes:
 #680850).

---
 build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg |   10 +++++-----
 debian/changelog                            |    1 +
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg b/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
index 97a7746..074e481 100644
--- a/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
+++ b/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
@@ -59,11 +59,6 @@ function menuentry_set {
 
 # Default kernel
 if test -e /boot/kernel/kfreebsd-9.gz ; then
-	# When both options are available, add an empty line in-between.
-	if test -e /boot/kernel/kfreebsd.gz ; then
-		menuentry "" { true }
-	fi
-
 	menuentry_set /boot/kernel/kfreebsd-9.gz /boot/mfsroot.gz " (using kernel of FreeBSD 9)"
 
 	if test -e /boot/gtk/mfsroot.gz ; then
@@ -74,6 +69,11 @@ fi
 
 # Alternate kernel
 if test -e /boot/kernel/kfreebsd.gz ; then
+	# When both options are available, add an empty line in-between.
+	if test -e /boot/kernel/kfreebsd.gz ; then
+		menuentry "" { true }
+	fi
+
 	menuentry_set /boot/kernel/kfreebsd.gz /boot/mfsroot.gz ""
 
 	if test -e /boot/gtk/mfsroot.gz ; then
diff --git a/debian/changelog b/debian/changelog
index f9054a3..f8535f0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,7 @@ debian-installer (20120627) UNRELEASED; urgency=low
 
   [ Didier Raboud ]
   * Switch the boot backgrounds to the Wheezy joy theme.
+  * Fix the place of the kfreebsd empty line in Grub (Closes: #680850).
 
  -- Julien Cristau <jcristau@debian.org>  Tue, 03 Jul 2012 15:11:18 +0200
 
-- 
1.7.10.4

